*{
margin:0;
padding:0;
box-sizing:border-box;
}

html{
scroll-behavior:smooth;
}

body{
font-family:'Proxima Nova',sans-serif;
background:#030303;
color:white;
overflow-x:hidden;
}

body::before{
content:"";
position:fixed;
inset:0;

background:
radial-gradient(circle at 20% 20%,rgba(0,119,255,.12),transparent 25%),
radial-gradient(circle at 80% 50%,rgba(0,90,255,.08),transparent 35%);

z-index:-2;
animation:glow 12s infinite alternate;
}

@keyframes glow{

from{
transform:translateY(0);
}

to{
transform:translateY(-60px);
}

}

/* NAVBAR */

header{
position:fixed;
width:100%;
z-index:1000;
background:rgba(0,0,0,.85);
backdrop-filter:blur(20px);
border-bottom:1px solid rgba(255,255,255,.06);
}

nav{
width:85%;
height:90%;
margin:auto;

display:flex;
justify-content:space-between;
align-items:center;
}

.logo{
font-family:'Proxima Nova',sans-serif;
font-size:28px;
font-weight:800;
}

.logo span{
color:#1677dd;
}

.logo-img{
padding-top:10px;
max-height:100px;
}

nav ul{
display:flex;
list-style:none;
gap:40px;
}

nav a{
text-decoration:none;
color:white;
font-size:13px;
font-weight:500;
transition:.3s;
}

nav a:hover{
color:#1677dd;
}

.nav-btn{
padding:16px 28px;
border:1px solid #1677dd;
border-radius:12px;
}

/* HERO */

.hero{
min-height:100svh;
position:relative;
display:flex;
align-items:center;
padding-left:0;
}

.bg-video{
position:absolute;
width:100%;
height:100%;
object-fit:cover;
z-index:-3;
}

.bg-overlay{
position:absolute;
inset:0;
background:rgba(0,0,0,.75);
z-index:-2;
}

.hero-content{
max-width:60%;
padding-left: 150px;
padding-top: 3%;
}

.subtitle{
letter-spacing:6px;
font-size:14px;
color:#1677dd;
margin-bottom:30px;
}

.hero h1{
font-size:clamp(2.5rem,8vw,6rem);
font-weight:800;
line-height:1.05;
margin-bottom:30px;
}


.hero p{
    font-size:clamp(1rem,2vw,1.25rem);
}

.hero span{
color:#1677dd;
}

.description{
font-size:20px;
color:#b8b8b8;
max-width:650px;
margin-bottom:50px;
line-height:1.8;
}

.hero-buttons{
display:flex;
gap:25px;
align-items:center;
}

.primary-btn{
background:#1677dd;
padding:20px 32px;
border-radius:12px;
color:white;
font-weight:600;
text-decoration:none;
}

.primary-btn i{
margin-left:15px;
}

.secondary-btn{
display:flex;
align-items:center;
gap:15px;
color:white;
text-decoration:none;
}

.secondary-btn i{
font-size:22px;
}

/* SOCIALS */

.socials{
position:absolute;
left:40px;
top:50%;
transform:translateY(-50%);

display:flex;
flex-direction:column;
gap:35px;
}

.socials a{
color:white;
font-size:20px;
transition:.3s;
}

.socials a:hover{
color:#1677dd;
}

.socials-about{
display:flex;
justify-content:center;
padding-top: 20px;
flex-direction:row;
gap:35px;
}

.socials-about a{
color:white;
font-size:20px;
transition:.3s;
}

.socials-about a:hover{
color:#1677dd;
}

/* SCROLL */

.scroll-down{
position:absolute;
bottom:40px;
left:50%;
transform:translateX(-50%);
text-align:center;
color:#fff;
}

.scroll-down p{
font-size:12px;
letter-spacing:2px;
margin-top:15px;
}

.about{
padding:120px 8%;
display:grid;
grid-template-columns:1fr 1fr 1fr;
gap:50px;
align-items:center;
}

.about-image{
position:relative;
}

.about-image img{
width:100%;
border-radius:30px;
}

.experience-card{
position:absolute;
bottom:20px;
right:-40px;
background:rgba(255,255,255,.05);
backdrop-filter:blur(20px);
padding:25px;
border-radius:20px;
border:1px solid rgba(255,255,255,.1);
}

.about-content h2{
font-size:55px;
margin-bottom:25px;
}

.about-content span{
color:#1677dd;
}

.about-content p{
color:#fff;
line-height:1.9;
}

.section-subtitle{
letter-spacing:1px;
color:#1677dd;
margin-bottom:20px;
}

.glass-card{
display:flex;
gap:20px;
padding:30px;
margin-bottom:25px;

background:rgba(255,255,255,.03);

backdrop-filter:blur(25px);

border:1px solid rgba(255,255,255,.08);

border-radius:20px;

transition:.4s;
}

.glass-card:hover{
border-color:#1677ff;
transform:translateY(-5px);
}

.icon{
font-size:35px;
color:#1677ff;
}

#services{
padding:100px 8%;
}

.section-title{
text-align:center;
margin-bottom:80px;
}

.section-title p{
letter-spacing:5px;
color:#1677ff;
}

.section-title h2{
font-size:55px;
}

.services-grid{
display:grid;
grid-template-columns:repeat(4,1fr);
gap:30px;
}

.service-card{
padding:50px 40px;
border-radius:25px;
background:#0d0d0d;
border:1px solid rgba(255,255,255,.08);
transition:.4s;
}

.service-card:hover{
transform:translateY(-10px);
border-color:#1677ff;
}

.service-card i{
font-size:40px;
color:#1677ff;
margin-bottom:25px;
}

.service-card p{
margin-top:20px;
color:#999;
}

.tools-section{
padding:120px 8%;
}

.software-grid{
display:flex;
gap:20px;
margin-top:50px;
flex-wrap:wrap;
}

.software-box{
width:100px;
height:100px;
border-radius:20px;
display:flex;
flex-direction:column;
justify-content:center;
align-items:center;
font-size:32px;
font-weight:700;
}

.software-box span{
font-size:12px;
margin-top:10px;
color:#999;
}

.ps{
border:2px solid #31a8ff;
color:#31a8ff;
}

.ai{
border:2px solid #ff9a00;
color:#ff9a00;
}

.pr{
border:2px solid #9999ff;
color:#9999ff;
}

.ae{
border:2px solid #a259ff;
color:#a259ff;
}

.lr{
border:2px solid #00c8ff;
color:#00c8ff;
}

.au{
border:2px solid #6a6aff;
color:#6a6aff;
}

#work{
padding:120px 8%;
}

.projects-header h2{
font-size:60px;
margin-bottom:60px;
}

.projects-header span{
color:#1677dd;
}

.projects-grid{
display:grid;
grid-template-columns:repeat(4,1fr);
gap:30px;
}

.project{
position:relative;
overflow:hidden;
border-radius:20px;
}

.project img{
width:100%;
height:100%;
display:block;
transition:.6s;
}

.project:hover img{
transform:scale(1.1);
}

.overlay{
position:absolute;
inset:0;
background:linear-gradient(transparent,rgba(0,0,0,.9));

display:flex;
flex-direction:column;
justify-content:flex-end;

padding:30px;
}

.overlay i{
font-size:50px;
margin-bottom:20px;
color:white;
}

#experience{
padding:140px 8%;
}

.experience-container{
background:#0c0c0c;
padding:80px;
padding-left:50px;
border-radius:30px;
display:flex;
justify-content:space-between;
gap:80px;
}

.experience-left{
max-width:400px;
}

.experience-left h2{
font-size:55px;
margin:20px 0;
}

.experience-left span{
color:#1677dd;
}

.timeline{
display:flex;
gap:50px;
align-items:flex-start;
position:relative;
}


.timeline-item{
position:relative;
width:200px;
}

.dot{
width:18px;
height:18px;
border-radius:50%;
background:#1677dd;
margin-bottom:30px;
position:relative;
z-index:2;
}

.active{
box-shadow:
0 0 10px #1677dd,
0 0 30px #1677dd,
0 0 50px #1677dd;
}

.year{
color:#888;
font-size:13px;
margin-bottom:20px;
}

.timeline-item h3{
margin-bottom:15px;
}

.timeline-item p{
color:#999;
}

#contact{
padding:120px 8%;
}

.contact-container{
display:flex;
justify-content:space-between;
align-items:center;
flex-wrap:wrap;
gap:40px;
}

.contact-container i{
color:#1677dd;
margin-right:10px;
}

footer{
padding:40px;
border-top:1px solid rgba(255,255,255,.06);
text-align:center;
color:#777;
}

.reveal{
opacity:0;
transform:translateY(60px);
transition:1s;
}

.reveal.active{
opacity:1;
transform:translateY(0);
}

.lightbox{
position:fixed;
inset:0;
background:rgba(0,0,0,.95);
display:none;
justify-content:center;
align-items:center;
z-index:10000;
}

.lightbox-image{
max-width:90%;
max-height:90%;
border-radius:20px;
}

.close{
position:absolute;
top:30px;
right:50px;
font-size:60px;
cursor:pointer;
}

.menu-btn{
display:none;
cursor:pointer;
font-size:25px;
}

@media(max-width:1200px){

.hero h1{
font-size:70px;
}

.services-grid,
.projects-grid{
grid-template-columns:repeat(2,1fr);
}

.about{
grid-template-columns:1fr;
}

.timeline{
flex-wrap:wrap;
}

}

@media(max-width:1080px){

nav ul{
position:absolute;
top:90px;
left:-100%;
width:100%;
background:#050505;
flex-direction:column;
padding:50px;
transition:.5s;
}

nav ul.show{
left:0;
}

.menu-btn{
display:block;
}

.hero{
padding:0px;
}

.hero-content{
padding-top:20%;
padding-left:7%;
}

.hero h1{
font-size:72px;
}

.projects-grid,
.services-grid{
grid-template-columns:1fr;
}

.socials{
display:none;
}

.experience-container{
flex-direction:column;
}

.contact-container{
flex-direction:column;
align-items:flex-start;
}
}

@media(max-width:768px){
.hero-content{
padding-left:7%;
}

.logo-img{
    max-height:80px;
}

.hero h1{
font-size:50px;
}

.menu-btn{
display:block;
}
    
}

/* Style for the link's normal state */
a.keep-blue:link {
  color: #1677dd; /* Default browser blue, or use any color you want */
}

/* Style for when the link has been clicked/visited */
a.keep-blue:visited {
  color: #1677dd; /* Keeps the exact same color instead of purple */
}
